PHP Manual
Prev |  | Next

# pcntl_exec

(PHP 4 >= 4.2.0, PHP 5)

pcntl_exec -- Executes specified program in current process space

## Description

void pcntl_exec ( string path [, array args [, array envs]] )

Executes the program with the given arguments.

## Parameters

`path`

  `path` must be the path to a binary executable or a script with a valid path pointing to an executable in the shebang ( #!/usr/local/bin/perl for example) as the first line. See your system's man execve(2) page for additional information.

`args`

  `args` is an array of argument strings passed to the program.

`envs`

  `envs` is an array of strings which are passed as environment to the program. The array is in the format of name => value, the key being the name of the environmental variable and the value being the value of that variable.

## Return Values

Returns `FALSE` on error and does not return on success.

Prev | Home | Next
pcntl_alarm | Up | pcntl_fork